Subject: bug#56584: vala build uses bundled bootstrap binaries

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 16 Jul 2022 10:18:29 +0200

Am Freitag, dem 15.07.2022 um 17:32 -0400 schrieb Maxim Cournoyer:
> Hi,
> 
> Our vala packages bundle themselves via bundled bootstrap binaries.
Small correction, it appears to be bootstrapped source files, i.e.
compiler-generated C code.

> When I asked in #vala on the irc.gnome.org, I was pointed to
> https://gitlab.gnome.org/ricotz/vala-bootstrap as a possible
> solution.
Looking at the vala source code, we can bootstrap the current version
from 0.39.5.8, which appears to be between release cycles – 0.39.6
already requires it, whereas 0.39.5 bootstraps from 0.25.1.  I'm not
sure how to get 0.25.1 to build from source, though.  The code in vala-
bootstrap does not appear helpful, it in fact reads exactly like Vala-
compiled Vala.

Cheers